org.apache.cassandra.index.internal

## Class CollatedViewIndexBuilder

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.index.SecondaryIndexBuilder
    - - org.apache.cassandra.index.internal.CollatedViewIndexBuilder

-     public class CollatedViewIndexBuilder
      extends SecondaryIndexBuilder

  Manages building an entire index from column family data. Runs on to compaction manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollatedViewIndexBuilder(ColumnFamilyStore cfs, java.util.Set<Index> indexers, ReducingKeyIterator iter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build()`
    `CompactionInfo` | `getCompactionInfo()`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

      `isStopRequested, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollatedViewIndexBuilder

          public CollatedViewIndexBuilder(ColumnFamilyStore cfs,
                                          java.util.Set<Index> indexers,
                                          ReducingKeyIterator iter)

  - ### Method Detail

    - #### getCompactionInfo

          public CompactionInfo getCompactionInfo()

      Specified by:
        `getCompactionInfo` in class `CompactionInfo.Holder`

    - #### build

          public void build()

      Specified by:
        `build` in class `SecondaryIndexBuilder`

Copyright © 2018 The Apache Software Foundation